Subject: Re: [PATCH 2/2] approxidate: allow ISO-like dates far in the future

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Nov 2014 14:15:19 -0800

Jeff King <[email-masked]> writes:

> On Fri, Nov 14, 2014 at 06:46:19AM +0100, Elia Pinto wrote:
>
>> > [1] http://en.wikipedia.org/wiki/Date_and_time_representation_by_country
>> > [2] http://en.wikipedia.org/wiki/Calendar_date
>> 
>> Isn't not so good to refer to external resources  in a commit message ?
>
> It is not good to omit any explanation and just include a link, like:
>
>   Fixes the bug reported in http://...
>
> because people who are reading "git log" have to follow that link to
> even see what you are talking about (and the link might go away, or they
> might not have access at the time).
>
> It is fine, and even desirable, to summarize the relevant content of a
> resource and provide a link for people who want to dig further. In this
> case, I am saying "Wikipedia claims that nobody uses this format" and
> backing it up with a link to indicate which pages I checked. You do not
> have to follow the link to know what I am saying, but if you want to
> dig deeper, you at least know where I left off my research.
>
> Does that make sense?

What you wrote matches the level of details I have been trying to
stick to when writing references in my own log messages and when
tweaking others' log messages.

Thanks.